export = PeerList;
/**
 * @typedef {import('peer-id')} PeerId
 * @typedef {import('../').PeerData} PeerData
 */
/**
 * A list of unique peers.
 */
declare class PeerList {
    /** @type {PeerData[]} */
    list: PeerData[];
    /**
     * Add a new peer. Returns `true` if it was a new one
     *
     * @param {PeerData} peerData
     */
    push(peerData: PeerData): boolean;
    /**
     * Check if this PeerData is already in here.
     *
     * @param {PeerId} peerId
     */
    has(peerId: PeerId): boolean;
    /**
     * Get the list as an array.
     */
    toArray(): import("../").PeerData[];
    /**
     * Remove the last element
     */
    pop(): import("../").PeerData | undefined;
    /**
     * The length of the list
     */
    get length(): number;
}
declare namespace PeerList {
    export { PeerId, PeerData };
}
type PeerData = import('../').PeerData;
type PeerId = import('peer-id');
//# sourceMappingURL=index.d.ts.map