export = QueryManager;
/**
 * @typedef {import('./query')} Query
 */
/**
 * Keeps track of all running queries.
 */
declare class QueryManager {
    queries: Set<any>;
    running: boolean;
    /**
     * Called when a query is started.
     *
     * @param {Query} query
     */
    queryStarted(query: Query): void;
    /**
     * Called when a query completes.
     *
     * @param {Query} query
     */
    queryCompleted(query: Query): void;
    /**
     * Starts the query manager.
     */
    start(): void;
    /**
     * Stops all queries.
     */
    stop(): void;
}
declare namespace QueryManager {
    export { Query };
}
type Query = import('./query');
//# sourceMappingURL=query-manager.d.ts.map